Probatix Diagnostics API v1
Creates a DiagnosticOrderInput resource.
Creates a DiagnosticOrderInput resource.
Creates a DiagnosticOrderInput resource.
Header Parameters
accept-language?string
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
The new DiagnosticOrderInput resource
TypeScript Definitions
Use the request body type in TypeScript.
body*DiagnosticOrderInput
productIds*array<string>
Identifiers of the DiagnosticProducts to order. Each entry may be a UUID, a DiagnosticProduct IRI, or a canonical ID. Provide at least one product ID.
patient*PatientInput
firstName*string
lastName*string
email*string (email)
gender?string
Patient gender. Defaults to `X` (Unknown) when omitted.
Allowed values: "M", "F", "D", "X"
dateOfBirth?string (date)
Patient date of birth.
healthInsuranceDetails?HealthInsuranceDetails | null
countryCode?string | null
provider?string | null
healthInsuranceTypeDE?string | null
Allowed values: "GKV", "PKV", null
subscriberIdentifier?string | null
The insurer assigned ID for the Subscriber.
shippingAddress*FullAddressInput
address1*string
address2?string | null
zip*string
city*string
countryCode?string
firstName*string
lastName*string
id?string (uuid)
phone?string | null
company?string | null
name?string | null
metadata?object | null
Optional partner-defined metadata. Up to 10 entries are supported and values must be JSON primitive values (string, number, or boolean).
Response Body
curl -X POST "https://example.com/v1/diagnostic_orders" \ -H "accept-language: de" \ -H "Content-Type: application/json" \ -d '{ "productIds": [ "string" ], "patient": { "firstName": "string", "lastName": "string", "email": "user@example.com" }, "shippingAddress": { "address1": "string", "zip": "string", "city": "string", "firstName": "string", "lastName": "string" } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "diagnosticTests": [ "/entity/1" ], "createdAt": "2019-08-24T14:15:22Z", "fulfilledAt": "2019-08-24T14:15:22Z", "shipmentTracking": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "shippingAddress": { "address1": "string", "address2": "string", "zip": "string", "city": "string", "countryCode": "DE", "firstName": "string", "lastName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "phone": "string", "company": "string", "name": "string" }, "metadata": [ "string" ]}